%define aurox_ver 9.3
%define rel 1


%define dnldname drgenius-man

Summary: Manuals for Dr.Genius.
Name: drgenius-manual
Version: 0.1.0
Release: %{aurox_ver}.aur.%{rel}
License: GNU Free Documentation License
Group: Applications/Education
URL: http://www.ofset.org/drgenius/
Source: http://www.ofset.org/drgenius/%{dnldname}-%{version}.tar.gz
Source1: manual-pl.tar.gz
Source3: drgenius-man-pl-makefile
Patch: drgenius-man-0.1.0-pl.patch
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}
Requires: drgenius >= 0.8.4

%description
Dr.Genius is a general tool for mathematics, including a mathematical
programming language and evaluator and an euclidian geometry tool.  It handles
multiple precision floating point numbers, infinite precision integers,
complex numbers and matrixes.

This package contains manuals for Dr.Genius, available from program's Help menu.

%prep
%setup -q -n %{dnldname}-%{version} -a 1
%patch -p1 -b .pl

%build
if [ ! -d pl ]; then
mv -f manual-pl pl
touch -t 198001010000 pl/drgenius.tex
fi
cp -f %{SOURCE3} pl/Makefile.am
aclocal
automake
autoconf
%configure

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_datadir}/gnome/help/drgenius

%changelog
* Wed Feb 04 2004 Aurox Team <aurox@aurox.org> 0:0.1.0-9.3.aur.1
- fix Polish manual installation
- use configure patch; run autoconf
- run aclocal and automake after adding new Makefile.am files
- add Polish manual

* Sat Apr 05 2003 Robert Glowczynski <robertg@software.com.pl> - 0.1.0-1aur
- Initial package
